Child pages
  • PostgresqlPlugin Framework
Skip to end of metadata
Go to start of metadata

You are viewing an old version of this page. View the current version.

Compare with Current View Page History

« Previous Version 7 Next »

To use PostgreSQL as the persistence layer with WebObjects, you need the PostgreSQL JDBC driver and the PostgresqlPlugIn framework from Project Wonder.

JDBC Driver

A JDBC driver is required for WebObjects, just like for any Java application that talks to a database. You should download the driver that matches the version of PostgreSQL that you have installed from PostgreSQL's JDBC driver download page.

There are several ways to install the driver:

  1. Put the JAR in the JRE's extensions directory: /Library/Java/Extensions on Mac OS X, or $JAVA_HOME/lib/ext on Unix. (Be aware that putting JARs in the extensions directory carries caveats with respect to classpath references and versioning. It is loaded by the system classloader and is a global version for all of your Java applications.)
  2. Put the JAR in the Libraries directory of a specific application.
  3. Create a framework containing the JAR in Libraries, and then reference that framework from your applications.

PostgresqlPlugin Framework

This framework is a plugin for the WebObjects JDBCAdaptor so that it is able to communicate with a PostgreSQL database server. The easiest way to get the PostgresPlugin.framework is to install Project Wonder. Otherwise, you can download the built frameworks from the mDimension Hudson build server (either Wonder53 or Wonder54), extract the PostgresqlPlugIn.framework, and place it in ~/Library/Frameworks. You must add the PostgresPlugin.framework to your application's build path so that it is able to find the plugin.

Using PostgreSQL in Entity Modeler (WOLips)


 

Legacy topics

PostgreSQL EOModeler Bundle

Currently the Wonder build server does not autobuild the piece (coming soon). This is only needed for generating SQL out of EOModeler, so if you're just deploying, this isn't necessary. To use the EOModeler Bundle, checkout Project Wonder from its SourceForge repository (you can just checkout Wonder/PlugIns if you don't want everything). Go into the PostgresPlugInBundle folder and run xcodebuild, or load the project into Xcode and build it from the GUI. This will produce a build/Default/PostgresqlPlugIn.EOMplugin folder that you can copy into your /Developer/EOMBundles folder. Note that you CANNOT put it into your ~/Developer/EOMBundles folder because EOModeler decides it doesn't want to look in that folder.

Using PostgreSQL in EOModeler

Once you have set everything up, using PostgreSQL in EOModeler is actually very straight-forward. Remember to add the PostgresPlugin.framework to your project, open your model, and Set Adapter Info to:

URL: jdbc:postgresql://yourhost/yourdatabase
Username: whatever
Password: whatever
Driver: org.postgresql.Driver
Plugin: PostgresqlPlugIn

NB: When the SQL is being generated for your model to populate your database server's schema, EOF will typically connect to the database server to check information about various types that the database server will support. Sometimes this is very inconvenient when you are away from direct access to the database server. For this reason, the plugin contains a hard-coded set of PostgreSQL 8.2 types and you can specify that you want to use those by adding the ?useBundledJdbcInfo=true to the end of the connection URL.

  • No labels